
int L1, L2, L3;
int C1, C2, C3;

// Configura as portas digitais do Arduino como INPUT_PULLUP para a linhas,
// e como OUTPUT para as colunas.
void iniciarTecladoMatricial(int col1, int col2, int col3, int lin1, int lin2, int lin3)
{
  L1 = lin1;
  L2 = lin2;
  L3 = lin3;
  C1 = col1;
  C2 = col2;
  C3 = col3;

  // Define como OUTPUT as portas onde estão conectadas às colunas
  pinMode(col1, OUTPUT);
  pinMode(col2, OUTPUT);
  pinMode(col3, OUTPUT);

  // Define como INPUT_PULLUP as portas onde estão conectadas às linhas
  pinMode(lin1, INPUT_PULLUP);
  pinMode(lin2, INPUT_PULLUP);
  pinMode(lin3, INPUT_PULLUP);
}


// Faz o aterramento de cada coluna, uma de cada vez, para poder fazer a
// leitura de cada uma das linhas e determinar qual botão foi pressionado.
int lerTecladoMatricial()
{
  // coloca a variável 'b' com o valor inicial '-1'.
  int b = -1;
  
  digitalWrite(C1, HIGH);
  digitalWrite(C2, HIGH);
  digitalWrite(C3, HIGH);

  // Faz a leitura da COLUNA 1
  digitalWrite(C1, LOW);
  if (!digitalRead(L1)) b = 1;
  if (!digitalRead(L2)) b = 4;
  if (!digitalRead(L3)) b = 7;
  digitalWrite(C1, HIGH);

  // Faz a leitura da COLUNA 2
  digitalWrite(C2, LOW);
  if (!digitalRead(L1)) b = 2;
  if (!digitalRead(L2)) b = 5;
  if (!digitalRead(L3)) b = 8;
  digitalWrite(C2, HIGH);

  // Faz a leitura da COLUNA 3
  digitalWrite(C3, LOW);
  if (!digitalRead(L1)) b = 3;
  if (!digitalRead(L2)) b = 6;
  if (!digitalRead(L3)) b = 9;
  //digitalWrite(C3, HIGH);

  // OBS: Se nenhum outro valor for atribuído à variável 'b', então ela irá retornar seu valor inicial '-1'
  // indicando que, após as verificações, nenhuma das teclas de 1 a 9 foi pressionada no teclado Matricial.
  return b;
}





  
